Subject: Re: bug#5552: 23.1; desktop seems not quite to understand session management

From: Jan Djärv <[email-masked]>
Date: Tue, 09 Feb 2010 19:57:37 +0100

[email-masked] skrev 2010-02-09 18.42:
> If I log out of my GNOME desktop then back in, desktop says that
> another Emacs process (the old one) appears to be using the desktop
> file and asks me if I want to use it anyway. If I say “y” then things
> work as normal (unsurprisingly, since the old process is no longer
> running). However, desktop should know that the old process is dead;
> perhaps it needs to talk to the session manager code?
>

Note: The desktop-save feature is independent from the Gnome session 
management.  I too have seen this question when Emacs is terminated by just 
logging out.

	Jan D.

>
> In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.18.3)
>   of 2009-11-10 on vernadsky, modified by Debian
> Windowing system distributor `The X.Org Foundation', version 11.0.10604000
> configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''
>
> Important settings:
>    value of $LC_ALL: nil
>    value of $LC_COLLATE: nil
>    value of $LC_CTYPE: nil
>    value of $LC_MESSAGES: nil
>    value of $LC_MONETARY: nil
>    value of $LC_NUMERIC: nil
>    value of $LC_TIME: nil
>    value of $LANG: en_GB.UTF-8
>    value of $XMODIFIERS: nil
>    locale-coding-system: utf-8-unix
>    default-enable-multibyte-characters: t
>
> Major mode: CPerl
>
> Minor modes in effect:
>    show-paren-mode: t
>    savehist-mode: t
>    minibuffer-electric-default-mode: t
>    iswitchb-mode: t
>    icomplete-mode: t
>    global-auto-revert-mode: t
>    desktop-save-mode: t
>    global-whitespace-mode: t
>    mouse-wheel-mode: t
>    file-name-shadow-mode: t
>    global-font-lock-mode: t
>    font-lock-mode: t
>    blink-cursor-mode: t
>    global-auto-composition-mode: t
>    auto-composition-mode: t
>    auto-encryption-mode: t
>    auto-compression-mode: t
>    column-number-mode: t
>    line-number-mode: t
>    transient-mark-mode: t
>
> Recent input:
> <down-mouse-1>  <mouse-1>  <help-echo>  <down-mouse-1>
> <mouse-1>  y<down-mouse-1>  <mouse-1>  <down-mouse-1>
> <mouse-1>  M-x r e p o r t - e m<tab>  <return>
>
> Recent messages:
> uncompressing emacs-6.gz...done
> uncompressing emacs-7.gz...done
> uncompressing emacs-8.gz...done
> Scanning for "hard" Perl constructions... done
> Loading make-mode...done
> Scanning for "hard" Perl constructions... done
> Scanning for "hard" Perl constructions... done
> Scanning for "hard" Perl constructions... done
> Lazy desktop load complete
> call-interactively: Text is read-only [2 times]
>
>
>
>